Page MenuHomePhabricator

cmd/ctrl-clicking on URLs opens links in the same table as previously clicked links
Closed, ResolvedPublic

Description


If I cmd/ctrl-click on one of the URLs, then do it again on another URL, both opens in the same tab as the previously clicked link. I want to open them in two tabs (normal behaviour anywhere else on the web), but instead it "replaces" the previously opened tab.

I use Chrome. This was not a problem like 3-4 months ago.

Event Timeline

Josve05a created this task.Jul 27 2018, 4:41 PM
Restricted Application assigned this task to Cyberpower678. · View Herald TranscriptJul 27 2018, 4:41 PM

Steps

  1. Hold cmd/ctrl and press the https://archive.is link
    1. This opens a new tab (let's call this Tab 1) with archive.is as the result
  2. Hold cmd/ctrl and press the original link
    1. This replaces the content of Tab 1 with the original link as the result
  3. Hold cmd/ctrl and press the Wikipedia-link to the Page title
    1. This replaces the content of Tab 1 with the Wikipedia article/diff page.

Expected result
Three different tabs be opened, one with each link.

That's not really a bug. The tool was intentionally designed that way to keep from opening a flood of tabs, due to the tool's nature.

Josve05a added a comment.EditedJul 28 2018, 3:06 PM

That's not really a bug. The tool was intentionally designed that way to keep from opening a flood of tabs, due to the tool's nature.

Well, it breaks internet customs, since EVERYWHERE else, a tab/ctrl click opens a new tab. They aren’t all automatically opened at ones, but manually clicked upon. I know that they will open in tabs, that’s why I clicked that key on the keyboard. Perhaps offer a user setting to open in multiple tabs or replace the former tab, or offer another keyboard key to replace the former tab.

Cyberpower678 closed this task as Resolved.Jul 23 2019, 11:37 PM

You can now control this in your settings.